langcode: en
status: true
dependencies:
  config:
    - block_content.type.alert
    - field.field.block_content.alert.field_dismissible
    - field.field.block_content.alert.field_heading
    - field.field.block_content.alert.field_message
    - field.field.block_content.alert.field_visibility_date
  module:
    - layout_builder
    - ui_patterns
    - ui_patterns_layouts
  theme:
    - ui_suite_bootstrap
third_party_settings:
  layout_builder:
    enabled: true
    allow_custom: false
    sections:
      -
        layout_id: 'ui_patterns:ui_suite_bootstrap:alert'
        layout_settings:
          label: ''
          ui_patterns:
            component_id: 'ui_suite_bootstrap:alert'
            variant_id:
              source_id: select
              source:
                value: primary
            slots: {  }
            props:
              attributes:
                source_id: ui_styles_attributes
                source:
                  styles:
                    selected:
                      spacing_margin: m-2
                  extra: ''
              dismissible:
                source_id: entity_field
                source:
                  derivable_context: 'field:block_content:alert:field_dismissible'
                  'field:block_content:alert:field_dismissible':
                    value:
                      source_id: 'field_property:block_content:field_dismissible:value'
              heading_level:
                source_id: select
                source:
                  value: ''
              heading_attributes:
                source_id: attributes
                source:
                  value: ''
          context_mapping:
            entity: layout_builder.entity
        components:
          6ea4260c-21b3-4450-af43-98ddd71169f5:
            uuid: 6ea4260c-21b3-4450-af43-98ddd71169f5
            region: heading
            configuration:
              id: 'field_block:block_content:alert:field_heading'
              label: Heading
              label_display: '0'
              provider: layout_builder
              context_mapping:
                entity: layout_builder.entity
                view_mode: view_mode
              formatter:
                type: string
                label: hidden
                settings:
                  link_to_entity: false
                third_party_settings:
                  fences:
                    fences_field_tag: none
                    fences_field_classes: ''
                    fences_field_items_wrapper_tag: none
                    fences_field_items_wrapper_classes: ''
                    fences_field_item_tag: none
                    fences_field_item_classes: ''
                    fences_label_tag: none
                    fences_label_classes: ''
                  linked_field:
                    linked: 0
                    type: field
                    destination:
                      field: ''
                      custom: ''
                    advanced:
                      title: ''
                      target: ''
                      class: ''
                      rel: ''
                      text: ''
                    token: ''
            weight: 0
            additional:
              ui_styles_wrapper: {  }
              ui_styles_wrapper_extra: ''
              ui_styles_title: {  }
              ui_styles_title_extra: ''
              ui_styles: {  }
              ui_styles_extra: ''
          5ea7b525-8dfd-410f-9dc6-9b063b4da2ab:
            uuid: 5ea7b525-8dfd-410f-9dc6-9b063b4da2ab
            region: message
            configuration:
              id: 'field_block:block_content:alert:field_message'
              label: Message
              label_display: '0'
              provider: layout_builder
              context_mapping:
                entity: layout_builder.entity
                view_mode: view_mode
              formatter:
                type: string
                label: hidden
                settings:
                  link_to_entity: false
                third_party_settings:
                  fences:
                    fences_field_tag: none
                    fences_field_classes: ''
                    fences_field_items_wrapper_tag: none
                    fences_field_items_wrapper_classes: ''
                    fences_field_item_tag: none
                    fences_field_item_classes: ''
                    fences_label_tag: none
                    fences_label_classes: ''
                  linked_field:
                    linked: 0
                    type: field
                    destination:
                      field: ''
                      custom: ''
                    advanced:
                      title: ''
                      target: ''
                      class: ''
                      rel: ''
                      text: ''
                    token: ''
            weight: 0
            additional:
              ui_styles_wrapper: {  }
              ui_styles_wrapper_extra: ''
              ui_styles_title: {  }
              ui_styles_title_extra: ''
              ui_styles: {  }
              ui_styles_extra: ''
        third_party_settings: {  }
id: block_content.alert.default
targetEntityType: block_content
bundle: alert
mode: default
content: {  }
hidden:
  field_dismissible: true
  field_heading: true
  field_message: true
  field_visibility_date: true
  langcode: true
